TransactOperation class for transactional delete items

### Type parameters

- #### T

### Hierarchy

- TransactBaseOperation<T, Delete, TransactDelete<T>>
  - TransactDelete

### Implements

- ConditionalParamsHost

## Index

### Constructors

- constructor

### Properties

- metadata
- modelClazz
- params

### Accessors

- transactItem

### Methods

- onlyIf
- onlyIfAttribute
- returnValuesOnConditionCheckFailure

## Constructors

### constructor

- new TransactDelete(modelClazz: ModelConstructor<T>, partitionKey: any, sortKey?: any): TransactDelete

- Overrides TransactBaseOperation.constructor

  - Defined in dynamo/transactwrite/transact-delete.ts:12

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns TransactDelete

## Properties

### metadata

metadata: Metadata<T>

Inherited from TransactBaseOperation.metadata

- Defined in dynamo/transactwrite/transact-base-operation.ts:26

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from TransactBaseOperation.modelClazz

- Defined in dynamo/transactwrite/transact-base-operation.ts:27

### params

params: Delete

Inherited from TransactBaseOperation.params

- Defined in dynamo/transactwrite/transact-base-operation.ts:25

## Accessors

### transactItem

transactItem:

Overrides TransactBaseOperation.transactItem

- Defined in dynamo/transactwrite/transact-delete.ts:18

## Methods

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): TransactDelete<T>

- Inherited from TransactBaseOperation.onlyIf

  - Defined in dynamo/transactwrite/transact-base-operation.ts:61

  add a condition necessary for the transaction to succeed

  example

    req.onlyIf(or(attribute('age').lt(10), attribute('age').gt(20)))

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns TransactDelete<T>

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunctionTyped<TransactDelete<T>, T, K>
- onlyIfAttribute(attributePath: string): RequestConditionFunction<TransactDelete<T>, T>

- Inherited from TransactBaseOperation.onlyIfAttribute

  - Defined in dynamo/transactwrite/transact-base-operation.ts:51

  create a condition on given attributePath

  example

    req.onlyIfAttribute('age').lt(10)

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunctionTyped<TransactDelete<T>, T, K>

- Inherited from TransactBaseOperation.onlyIfAttribute

  - Defined in dynamo/transactwrite/transact-base-operation.ts:52

  #### Parameters

  - ##### attributePath: string

  #### Returns RequestConditionFunction<TransactDelete<T>, T>

### returnValuesOnConditionCheckFailure

- returnValuesOnConditionCheckFailure(value: DynamoDB.ReturnValuesOnConditionCheckFailure): TransactDelete<T>

- Inherited from TransactBaseOperation.returnValuesOnConditionCheckFailure

  - Defined in dynamo/transactwrite/transact-base-operation.ts:70

  get the item attributes if the condition fails

  #### Parameters

  - ##### value: DynamoDB.ReturnValuesOnConditionCheckFailure

  #### Returns TransactDelete<T>